View Issue Details

IDProjectCategoryView StatusLast Update
0019494MediaMonkey 5Conversion/Levelingpublic2022-11-17 15:16
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.4 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019494: Silent failure of MP4 > WEBM auto-conversion when codec pack isn't installed
DescriptionWhen user casts a file that is incompatible video format then the default auto-convert rule is to WEBM format.
But, this conversion seems to work only when codec pack has been installed!!

In case of manual conversion there is a toast message indicating that there was a conversion failure with [Find missing codec...] button,
but in case of auto-conversion there is a hidden failure resulting in failed casting.

I guess we should show a similar toast message for the user to be aware about the failed conversion.
Additional Information[Ticket # 4916]
TagsNo tags attached.
Fixed in build2676

Relationships

related to 0019535 closedrusty Chromecast: Some m4a files consistently fail to cast 

Activities

Ludek

2022-10-24 11:33

developer   ~0069953

Last edited: 2022-10-24 11:33

I can confirm that the particular MP4 file shared by user in the ticket _does_ convert to WEBM by default (for any DLNA client accessing the MM5 server).

1) I guess the conversion shouldn't be by default
2) In case of failed conversion there should be a fallback to original file and the toast message with [Find missing codec]

Ludek

2022-10-24 11:51

developer   ~0069954

Last edited: 2022-10-24 11:52

Note that I found that the toast is already there, it is just hard to realize for users -- as mostly the error is shown on the client -- and users are not watching errors on the server.
image.png (10,694 bytes)   
image.png (10,694 bytes)   

Ludek

2022-10-24 12:09

developer   ~0069955

Last edited: 2022-10-24 12:18

2) The fallback to the original file source (when conversion stalls or fails) implemented in 2676

1) Assigned to Michal for fix of the failed detection of unsupported audio codec for this particular sample MP4 file.
Details shared over IM...

michal

2022-10-24 13:09

developer   ~0069956

The file contains wrong descriptor object typeID for audio stream.
MP4 parser fixed in build 2676, so it can handle this situation too.

peke

2022-11-10 12:46

developer   ~0070236

Verified 2683

It is working correctly now.